#pragma once

#include "Scene.h"
#include "Shader.h"
#include "Triangle.h"

#include <glad/glad.h>
#include <GLFW/glfw3.h>
#include <glm/gtx/transform.hpp>
#include <glm/gtx/orthonormalize.hpp>
#define _USE_MATH_DEFINES
#include <math.h>

#include <chrono>

/**
 * @brief Defines a Camera in a 3D scene.
 */
class Camera
{
public:
    static glm::vec3 ScreenToTrackball( glm::vec2 screenPos, glm::vec2 screenSize );

private:
};